[CentOS] CentOS 3.8+Wine

TeeWei Hian t492113 at hotmail.com
Tue Mar 30 01:56:18 UTC 2010


Can wine install in CentOS 3.8? I'd tried the following method but 
failed to install wine.



*_Method 1_*

[root at gloin yum.repos.d]# yum install wine

Gathering header information file(s) from server(s)

Server: CentOS-3 - Addons

Server: CentOS-3 - Base

Server: CentOS-3 - Extras

Server: CentOS-3 - Updates

Finding updated packages

Downloading needed headers

Cannot find a package matching wine

No actions to take



_*Method 2*_

[root at gloin yum.repos.d]# rpm -ivh /home/wine/*

warning: /home/wine/wine-1.0.1-1.el5.i386.rpm: V3 DSA signature: NOKEY, 
key ID 217521f6

error: Failed dependencies:

       libc.so.6(GLIBC_2.4) is needed by wine-capi-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-capi-1.0.1-1.el5

       libc.so.6(GLIBC_2.3.4) is needed by wine-cms-1.0.1-1.el5

       libc.so.6(GLIBC_2.4) is needed by wine-cms-1.0.1-1.el5

       liblcms.so.1 is needed by wine-cms-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-cms-1.0.1-1.el5

       /usr/bin/xmessage is needed by wine-core-1.0.1-1.el5

       libXxf86vm.so.1 is needed by wine-core-1.0.1-1.el5

       libasound.so.2 is needed by wine-core-1.0.1-1.el5

       libasound.so.2(ALSA_0.9) is needed by wine-core-1.0.1-1.el5

       libasound.so.2(ALSA_0.9.0rc4) is needed by wine-core-1.0.1-1.el5

       libasound.so.2(ALSA_0.9.0rc8) is needed by wine-core-1.0.1-1.el5

       libc.so.6(GLIBC_2.3.4) is needed by wine-core-1.0.1-1.el5

       libc.so.6(GLIBC_2.4) is needed by wine-core-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-core-1.0.1-1.el5

       desktop-file-utils >= 0.8 is needed by wine-desktop-1.0.1-1.el5

       libc.so.6(GLIBC_2.3.4) is needed by wine-devel-1.0.1-1.el5

       libc.so.6(GLIBC_2.4) is needed by wine-devel-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-devel-1.0.1-1.el5

       libc.so.6(GLIBC_2.3.4) is needed by wine-esd-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-esd-1.0.1-1.el5

       libc.so.6(GLIBC_2.3.4) is needed by wine-jack-1.0.1-1.el5

       libc.so.6(GLIBC_2.4) is needed by wine-jack-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-jack-1.0.1-1.el5

       libc.so.6(GLIBC_2.3.4) is needed by wine-ldap-1.0.1-1.el5

       libc.so.6(GLIBC_2.4) is needed by wine-ldap-1.0.1-1.el5

       liblber-2.3.so.0 is needed by wine-ldap-1.0.1-1.el5

       libldap_r-2.3.so.0 is needed by wine-ldap-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-ldap-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-nas-1.0.1-1.el5

       libc.so.6(GLIBC_2.3.4) is needed by wine-tools-1.0.1-1.el5

       libc.so.6(GLIBC_2.4) is needed by wine-tools-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-tools-1.0.1-1.el5

       libc.so.6(GLIBC_2.3.4) is needed by wine-twain-1.0.1-1.el5

       libc.so.6(GLIBC_2.4) is needed by wine-twain-1.0.1-1.el5

       rtld(GNU_HASH) is needed by wine-twain-1.0.1-1.el5



_*My repos

*_[root at gloin yum.repos.d]# ls

adobe-linux-i386.repo  epel.repo  epel-testing.repo  
kbsingh-CentOS-Extras.repo  mirrors-rpmforge  rpmforge.repo



_*uname -a*_

[root at gloin yum.repos.d]# uname -a

Linux gloin.abc.com.my 2.4.21-47.ELsmp #1 SMP Tue Aug 1 08:47:53 EDT 
2006 i686 i686 i386 GNU/Linux



_*Glibc version*_

[root at gloin yum.repos.d]# ldd --version

ldd (GNU libc) 2.3.2

Copyright (C) 2003 Free Software Foundation, Inc.

This is free software; see the source for copying conditions.  There is NO

warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Written by Roland McGrath and Ulrich Drepper.





 		 	   		  
_________________________________________________________________
您的电子邮件和更灵活的即时通信。免费获取 Windows Live Hotmail。
https://signup.live.com/signup.aspx?id=60969
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos/attachments/20100330/801cd510/attachment.html 


More information about the CentOS mailing list